---
title: "Display Issued Card Details to Customer"
source_url: https://docs.rapyd.net/en/display-issued-card-details-to-customer.html
lang: en
---

# Display Issued Card Details to Customer

Generate a hosted page that displays details of a virtual issued card directly to the customer.

The URL is available for 24 hours after the response is sent, then it expires.

### Parameters

### Request Path Parameters

- - card
  - ID of the issued card, a string starting with **ci_** or **card_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Body Parameters

- - card_color
  - The color of the card, specified by one of the following formats:

    - hexadecimal value
    - CSS color name
    - RGB
    - RGBA

    black
- - language
  - Determines the default language of the hosted page.
- - logo
  - The URL of the logo image that appears on the card. If the logo is not specified, the name of the merchant appears.
- - logo_orientation
  - The orientation of the logo on the card.

    - **landscape**
    - **square**
    - **portrait**

    landscape

### Response Parameters

- - card
  - An object containing the following fields:

    - - name
      - The name of the person that the card is issued to.
    - - network
      - The card network of the issued card.
- - card_color
  - The color of the card, specified by one of the following:

    - hexadecimal value
    - **RGB**
    - **RGBA**
    - CSS color name

    black
- - expiration
  - Time when the hosted page URL expires, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time"). 24 hours after creation of the page.
- - id
  - The ID of the hosted page. String starting with **hp_issued_**.
- - language
  - Determines the default language of the hosted page. For a list of values, see [List Supported Languages](https://docs.rapyd.net/en/list-supported-languages.md "List Supported Languages").

    - When this parameter is null, the language of the user's browser is used.
    - If the language of the user's browser cannot be determined, the default language is English.
- - logo
  - The URL of the logo image that appears on the card. If the logo is not specified, the name of the merchant appears.
- - logo_orientation
  - The orientation of the logo. One of the following:

    - **landscape**
    - **square**
    - **portrait**
- - merchant_alias
  - The name that appears in the card image if nothing is specified for `logo`.
- - merchant_color
  - Color of the call-to-action (CTA) button on the hosted page.

    To configure this field, use the Client Portal. See [Customizing Your Hosted Page](https://docs.rapyd.net/en/customizing-your-hosted-page.md "Customizing Your Hosted Page").
- - merchant_customer_support
  - Contains details of the client’s customer support. To configure these fields, use the Client Portal. See [Customizing Your Hosted Page](https://docs.rapyd.net/en/customizing-your-hosted-page.md "Customizing Your Hosted Page").

    - - email
      - Email address.
    - - url
      - URL for the client's customer support service.
    - - phone_number
      - Phone number for contacting the client's customer support service.
- - merchant_language
  - Language of the displayed page.
- - merchant_logo
  - URL for the image of the client's logo.

    To configure this field, use the Client Portal. See [Customizing Your Hosted Page](https://docs.rapyd.net/en/customizing-your-hosted-page.md "Customizing Your Hosted Page").
- - merchant_website
  - The URL where the customer is redirected after exiting the hosted page.

    Relevant when one or both of the following fields is unset:

    - `cancel_url`
    - `complete_url`

    To configure this field, use the Client Portal. See [Customizing Your Hosted Page](https://docs.rapyd.net/en/customizing-your-hosted-page.md "Customizing Your Hosted Page").
- - redirect_url
  - URL of the hosted page that is shown to the customer.
- - status
  - Status of the hosted page. One of the following:

    - **NEW** - The hosted page was created.
    - **DON** - Done. The card was added to the customer profile.
    - **EXP** - The hosted page expired.

- /v1/hosted/issuing/card_details/:card

- Display Issued Card Details to Customer
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/hosted/issuing/card_details/ci_d4fa9d7f43819d92c66125e2a7579fe6' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw '{
      "card_color": "#f9f9f9",
      "logo": "https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcTNgldxyUfmVPmQV1YpTcDWo_kjX-TO_EiccQ&usqp=CAU",
      "language": "es",
      "logo_orientation": "landscape"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "706df17e-491e-4ecf-bb54-551256f271c1"
      },
      "data": {
          "status": "NEW",
          "cancel_url": "https://example1234.net",
          "complete_url": "https://example1234.net",
          "language": "es",
          "merchant_color": "323fff",
          "merchant_logo": "",
          "merchant_website": "https://example1234.net",
          "merchant_customer_support": {
              "url": "https://example1234.net",
              "email": "support@example1234.net",
              "phone_number": "121255551213"
          },
          "merchant_alias": "Doc Team",
          "merchant_terms": "https://example1234.net/terms_and_conditions",
          "merchant_privacy_policy": "https://example1234.net/privacy_policy",
          "page_expiration": 1764070043,
          "redirect_url": "https://sandboxhosted.rapyd.net/issuing/card_details?token=hp_issued_f67f791ca0b157cc261c0033146cd51a",
          "id": "hp_issued_f67f791ca0b157cc261c0033146cd51a",
          "expiration": 1764070043,
          "card_color": "#f9f9f9",
          "logo": "https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcTNgldxyUfmVPmQV1YpTcDWo_kjX-TO_EiccQ&usqp=CAU",
          "logo_orientation": "landscape",
          "card": {
              "name": "John Doe",
              "network": "Mastercard"
          }
      }
  }
  ```
